Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.collection
Class PdfTargetDictionary

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.collection.PdfTargetDictionary

    public class PdfTargetDictionary

extends PdfDictionary

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfTargetDictionary(boolean child)` Creates a dictionary referring to a target document.
`PdfTargetDictionary(PdfTargetDictionary nested)` Creates dictionary referring to a target document that is the parent of the current document.

Method Summary
`void` | `setAdditionalPath(PdfTargetDictionary nested)` If this dictionary refers to an intermediate target, you can add the next target in the sequence.
`void` | `setEmbeddedFileName(String target)` If this dictionary refers to a child that is a document level attachment, you need to specify the name that was used to attach the document.
`void` | `setFileAttachmentIndex(int annotation)` If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page with setFileAttachmentPage or setFileAttachmentPageName, and then specify the index of the attachment added to this page (or use setFileAttachmentName).
`void` | `setFileAttachmentName(String name)` If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page with setFileAttachmentPage or setFileAttachmentPageName, and then specify the name of the attachment added to this page (or use setFileAttachmentIndex).
`void` | `setFileAttachmentPage(int page)` If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page number (or use setFileAttachmentPagename to specify a named destination).
`void` | `setFileAttachmentPagename(String name)` If this dictionary refers to a child that is a file attachment added to a page, you need to specify the name of the page (or use setFileAttachmentPage to specify the page number).

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfTargetDictionary

    public PdfTargetDictionary(PdfTargetDictionary nested)

  Creates dictionary referring to a target document that is the parent of the current document.

  Parameters:
    `nested` - null if this is the actual target, another target if this is only an intermediate target.

### PdfTargetDictionary

    public PdfTargetDictionary(boolean child)

  Creates a dictionary referring to a target document.

  Parameters:
    `child` - if false, this refers to the parent document; if true, this refers to a child document, and you'll have to specify where to find the child using the other methods of this class

Method Detail

### setEmbeddedFileName

    public void setEmbeddedFileName(String target)

  If this dictionary refers to a child that is a document level attachment, you need to specify the name that was used to attach the document.

  Parameters:
    `target` - the name in the EmbeddedFiles name tree

### setFileAttachmentPagename

    public void setFileAttachmentPagename(String name)

  If this dictionary refers to a child that is a file attachment added to a page, you need to specify the name of the page (or use setFileAttachmentPage to specify the page number). Once you have specified the page, you still need to specify the attachment using another method.

  Parameters:
    `name` - the named destination referring to the page with the file attachment.

### setFileAttachmentPage

    public void setFileAttachmentPage(int page)

  If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page number (or use setFileAttachmentPagename to specify a named destination). Once you have specified the page, you still need to specify the attachment using another method.

  Parameters:
    `page` - the page number of the page with the file attachment.

### setFileAttachmentName

    public void setFileAttachmentName(String name)

  If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page with setFileAttachmentPage or setFileAttachmentPageName, and then specify the name of the attachment added to this page (or use setFileAttachmentIndex).

  Parameters:
    `name` - the name of the attachment

### setFileAttachmentIndex

    public void setFileAttachmentIndex(int annotation)

  If this dictionary refers to a child that is a file attachment added to a page, you need to specify the page with setFileAttachmentPage or setFileAttachmentPageName, and then specify the index of the attachment added to this page (or use setFileAttachmentName).

  Parameters:
    `annotation` - the number of the attachment

### setAdditionalPath

    public void setAdditionalPath(PdfTargetDictionary nested)

  If this dictionary refers to an intermediate target, you can add the next target in the sequence.

  Parameters:
    `nested` - the next target in the sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD